org.eclipse.swt.events

## Class FocusAdapter

- java.lang.Object
- - org.eclipse.swt.events.FocusAdapter

All Implemented Interfaces:
  FocusListener

    public abstract class FocusAdapter
    extends java.lang.Object
    implements FocusListener

This adapter class provides default implementations for the methods described by the `FocusListener` interface.

Classes that wish to deal with `FocusEvent`s can extend this class and override only the methods which they are interested in.

See Also:
  `FocusListener`, `FocusEvent`

### Constructor Summary

Constructors
Constructor and Description
`FocusAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `focusGained(FocusEvent event)` Sent when a control gets focus.
`void` `focusLost(FocusEvent event)` Sent when a control loses focus.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FocusAdapter

    public FocusAdapter()

### Method Detail

#### focusGained

    public void focusGained(FocusEvent event)

Sent when a control gets focus. The default behavior is to do nothing.

Specified by:
  `focusGained` in interface `FocusListener`
Parameters:
  `event` - an event containing information about the focus change

#### focusLost

    public void focusLost(FocusEvent event)

Sent when a control loses focus. The default behavior is to do nothing.

Specified by:
  `focusLost` in interface `FocusListener`
Parameters:
  `event` - an event containing information about the focus change

Copyright (c) EclipseSource and others 2002, 2020. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0